Bug 1146930 - Review Request: python-cpuinfo - Getting CPU info
Summary: Review Request: python-cpuinfo - Getting CPU info
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-26 11:29 UTC by Parag Nemade
Modified: 2014-10-31 01:27 UTC (History)
2 users (show)

Fixed In Version: python-cpuinfo-0.1.2-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-10 16:06:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2014-09-26 11:29:53 UTC
Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/python-cpuinfo.spec
SRPM URL: <https://pnemade.fedorapeople.org/fedora-work/SRPMS/python-cpuinfo-0.1.0-1.fc21.src.rpm
Description: Getting CPU info

Fedora Account System Username: pnemade

Comment 1 Fabian Affolter 2014-09-28 13:41:35 UTC
Just some quick comments:

- rpmlint says 
   python-cpuinfo.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/cpuinfo/cpuinfo.py 0644L /usr/bin/env
   python-cpuinfo.src:9: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 4)
- The URL in the spec file is different to the one in the SRPM.
- The git repo contains a LICENSE file. Pull request is on the way to fix this.

Comment 2 Parag Nemade 2014-09-29 09:04:23 UTC
Thanks for the review as well as finding time to fix the source in upstream.

Meanwhile here is updated srpm that fix rpmlint, install upstream LICENSE file.

Spec URL: https://pnemade.fedorapeople.org/fedora-work/SPECS/python-cpuinfo.spec
SRPM URL: <https://pnemade.fedorapeople.org/fedora-work/SRPMS/python-cpuinfo-0.1.0-2.fc21.src.rpm

Comment 3 Fabian Affolter 2014-09-30 18:03:02 UTC
Upstream made a new release available with a couple of changes (now the script can be called directly). Sorry, now you need to modify your spec file again.

Comment 5 Fabian Affolter 2014-10-03 06:58:43 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck in
     /home/fab/Documents/repos/reviews/1146930-python-cpuinfo/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-cpuinfo-0.1.2-1.fc20.noarch.rpm
          python-cpuinfo-0.1.2-1.fc20.src.rpm
python-cpuinfo.noarch: W: spelling-error %description -l en_US Py -> Pt, Pu, P
python-cpuinfo.noarch: W: spelling-error %description -l en_US proc -> crop, prov, pro
python-cpuinfo.noarch: W: spelling-error %description -l en_US sysctl -> systolic
python-cpuinfo.noarch: W: spelling-error %description -l en_US dmesg -> demesne
python-cpuinfo.noarch: W: spelling-error %description -l en_US isainfo -> misinform
python-cpuinfo.noarch: W: spelling-error %description -l en_US psrinfo -> misinform
python-cpuinfo.noarch: W: no-manual-page-for-binary cpuinfo
python-cpuinfo.src: W: spelling-error %description -l en_US Py -> Pt, Pu, P
python-cpuinfo.src: W: spelling-error %description -l en_US proc -> crop, prov, pro
python-cpuinfo.src: W: spelling-error %description -l en_US sysctl -> systolic
python-cpuinfo.src: W: spelling-error %description -l en_US dmesg -> demesne
python-cpuinfo.src: W: spelling-error %description -l en_US isainfo -> misinform
python-cpuinfo.src: W: spelling-error %description -l en_US psrinfo -> misinform
2 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-cpuinfo
python-cpuinfo.noarch: W: spelling-error %description -l en_US Py -> Pt, Pu, P
python-cpuinfo.noarch: W: spelling-error %description -l en_US proc -> crop, prov, pro
python-cpuinfo.noarch: W: spelling-error %description -l en_US sysctl -> systolic
python-cpuinfo.noarch: W: spelling-error %description -l en_US dmesg -> demesne
python-cpuinfo.noarch: W: spelling-error %description -l en_US isainfo -> misinform
python-cpuinfo.noarch: W: spelling-error %description -l en_US psrinfo -> misinform
python-cpuinfo.noarch: W: no-manual-page-for-binary cpuinfo
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-cpuinfo (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)


Provides
--------
python-cpuinfo:
    python-cpuinfo


Source checksums
----------------
https://pypi.python.org/packages/source/p/py-cpuinfo/py-cpuinfo-0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 31dd962bb705aafd7d07072ddfc8fdb2b9e17dc47fd8ec96e1a4d0ef5a0ef3cc
  CHECKSUM(SHA256) upstream package : 31dd962bb705aafd7d07072ddfc8fdb2b9e17dc47fd8ec96e1a4d0ef5a0ef3cc


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1146930
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

I see no blocker, package APPROVED.

There was a change in the guidelines recently, can you please check if
  - find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
  - find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'
should be added before the scm import?

Comment 6 Parag Nemade 2014-10-03 07:50:24 UTC
Fabian,
  Thank you for the brief review. Yes you are right I should add the lines mentioned above in spec file. Here is modified spec file

https://pnemade.fedorapeople.org/fedora-work/SPECS/python-cpuinfo.spec

Comment 7 Parag Nemade 2014-10-03 07:52:50 UTC
New Package SCM Request
=======================
Package Name: python-cpuinfo
Short Description: Getting CPU info
Upstream URL: https://github.com/workhorsy/py-cpuinfo
Owners: pnemade
Branches: f20 f21 epel7
InitialCC:

Comment 8 Gwyn Ciesla 2014-10-03 12:07:35 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-10-03 16:59:44 UTC
python-cpuinfo-0.1.2-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-cpuinfo-0.1.2-2.fc21

Comment 10 Fedora Update System 2014-10-03 17:23:47 UTC
python-cpuinfo-0.1.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-cpuinfo-0.1.2-2.fc20

Comment 11 Fedora Update System 2014-10-03 17:51:03 UTC
python-cpuinfo-0.1.2-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-cpuinfo-0.1.2-2.el7

Comment 12 Fedora Update System 2014-10-04 20:19:52 UTC
python-cpuinfo-0.1.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 13 Fedora Update System 2014-10-10 16:06:50 UTC
python-cpuinfo-0.1.2-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 14 Fedora Update System 2014-10-14 04:44:47 UTC
python-cpuinfo-0.1.2-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 15 Fedora Update System 2014-10-31 01:27:07 UTC
python-cpuinfo-0.1.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.